Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPImageHandlerXML

    java.lang.Object
      org.apache.fop.render.afp.AFPImageHandler
          org.apache.fop.render.afp.AFPImageHandlerXML

All Implemented Interfaces:
  ImageHandlerBase

public class AFPImageHandlerXML
extends AFPImageHandler

PDFImageHandler implementation which handles XML-based images.

Constructor Summary
`AFPImageHandlerXML()`

Method Summary
`protected AFPDataObjectInfo` | `createDataObjectInfo()` Creates the data object information object
`AFPDataObjectInfo` | `generateDataObjectInfo(AFPRendererImageInfo rendererImageInfo)` Generates an intermediate AFPDataObjectInfo that is later used to construct the appropriate data object in the AFP DataStream.
`int` | `getPriority()` Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.
`java.lang.Class` | `getSupportedImageClass()` Returns the `Class` subclass supported by this instance.
`org.apache.xmlgraphics.image.loader.ImageFlavor[]` | `getSupportedImageFlavors()` Returns the `ImageFlavor`s supported by this instance

Methods inherited from class org.apache.fop.render.afp.AFPImageHandler
`createObjectAreaInfo, setResourceInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPImageHandlerXML

    public AFPImageHandlerXML()

Method Detail

### generateDataObjectInfo

    public AFPDataObjectInfo generateDataObjectInfo(AFPRendererImageInfo rendererImageInfo)
                                             throws java.io.IOException

  Generates an intermediate AFPDataObjectInfo that is later used to construct the appropriate data object in the AFP DataStream.

  Overrides:
    `generateDataObjectInfo` in class `AFPImageHandler`
  Parameters:
    `rendererImageInfo` - the renderer image info
  Returns:
    a data object info object
  Throws:
    `java.io.IOException` - thrown if an I/O exception of some sort has occurred.

### getPriority

    public int getPriority()

  Returns the priority for this image handler. A lower value means higher priority. This information is used to build the ordered/prioritized list of supported ImageFlavors. The built-in handlers use priorities between 100 and 999.

  Returns:
    a positive integer (>0) indicating the priority

### getSupportedImageClass

    public java.lang.Class getSupportedImageClass()

  Returns the `Class` subclass supported by this instance.

  Returns:
    the image Class type

### getSupportedImageFlavors

    public org.apache.xmlgraphics.image.loader.ImageFlavor[] getSupportedImageFlavors()

  Returns the `ImageFlavor`s supported by this instance

  Returns:
    the supported image flavors

### createDataObjectInfo

    protected AFPDataObjectInfo createDataObjectInfo()

  Creates the data object information object

  Specified by:
    `createDataObjectInfo` in class `AFPImageHandler`
  Returns:
    the data object information object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.